Skip to main content
GET
/
api
/
v2.1
/
calendar-removed
/
Removed (v2)
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar-removed/?token='
import requests

url = "https://api.benzinga.com/api/v2.1/calendar-removed/?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v2.1/calendar-removed/?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "removed": [
    {
      "id": "5b5d22b5be523300016fd411",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3dc573a8839f000125ef6b",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3de0ffa8839f000125efd4",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3e642da8839f000125f167",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3d9249a8839f000125ef61",
      "type": "dividends",
      "updated": 0
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
  "removed": [
    {
      "id": "5b5d22b5be523300016fd411",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3dc573a8839f000125ef6b",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3de0ffa8839f000125efd4",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3e642da8839f000125f167",
      "type": "dividends",
      "updated": 0
    },
    {
      "id": "5c3d9249a8839f000125ef61",
      "type": "dividends",
      "updated": 0
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pageSize
integer
default:100

Number of results returned. Limit 1000

type
enum<string>

Type

Available options:
ratings,
earnings,
dividends,
splits,
ipos,
offerings,
economics,
guidance,
ma,
conference calls
updated
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

Removed

removed
object[]